LUF = select(2, ...)
local SML = LibStub:GetLibrary("LibSharedMedia-3.0")

SML:Register(SML.MediaType.FONT, "Aldrich", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\Aldrich.ttf")
SML:Register(SML.MediaType.FONT, "Bangers", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\Bangers.ttf")
SML:Register(SML.MediaType.FONT, "FasterOne", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\FasterOne.ttf")
SML:Register(SML.MediaType.FONT, "Iceland", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\Iceland.ttf")
SML:Register(SML.MediaType.FONT, "Inconsolata", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\Inconsolata.ttf")
SML:Register(SML.MediaType.FONT, "Metal Lord", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\MetalLord.ttf")
SML:Register(SML.MediaType.FONT, "Optimus", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\Optimus.ttf")
SML:Register(SML.MediaType.FONT, "Trade Winds", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\TradeWinds.ttf")
SML:Register(SML.MediaType.FONT, "Vera Serif", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\VeraSerif.ttf")
SML:Register(SML.MediaType.FONT, "Myriad", "Interface\\AddOns\\LunaUnitFrames\\media\\fonts\\Myriad.ttf")
SML:Register(SML.MediaType.BACKGROUND, "Chat Frame", "Interface\\ChatFrame\\ChatFrameBackground")
SML:Register(SML.MediaType.STATUSBAR, "Minimalist", "Interface\\AddOns\\LunaUnitFrames\\media\\textures\\bars\\Minimalist")

function LUF:LoadDefaults()

	self.defaults = {
		char = {
			switchtype = "DISABLED",
			resdb = {},
			grpdb = {},
		},
		profile = {
			locked = false,
			previewauras = true,
			tooltipCombat = true,
			hidden = {cast = true, buffs = false, party = true, raid = true, player = true, pet = true, target = true},
			statusbar = "Minimalist",
			auraborderType = "dark",
			inchealTime = 4,
			omnicc = false,
			blizzardcc = false,
			range = { dist = 40, alpha = 0.4 },
		},
	}

	self.defaults.profile.colors = {
		-- Class
		HUNTER = {r = 0.67, g = 0.83, b = 0.45},
		WARLOCK = {r = 0.58, g = 0.51, b = 0.79},
		PRIEST = {r = 1.0, g = 1.0, b = 1.0},
		PALADIN = {r = 0.96, g = 0.55, b = 0.73},
		MAGE = {r = 0.41, g = 0.8, b = 0.94},
		ROGUE = {r = 1.0, g = 0.96, b = 0.41},
		DRUID = {r = 1.0, g = 0.49, b = 0.04},
		SHAMAN = {r = 0.14, g = 0.35, b = 1.0},
		WARRIOR = {r = 0.78, g = 0.61, b = 0.43},
		--Power
		MANA = {r = 0.30, g = 0.50, b = 0.85},
		RAGE = {r = 0.90, g = 0.20, b = 0.30},
		FOCUS = {r = 1.0, g = 0.50, b = 0.25},
		ENERGY = {r = 1.0, g = 0.85, b = 0.10},
		COMBOPOINTS = {r = 1.0, g = 0.80, b = 0.0},
		-- Gradient
		red = {r = 0.90, g = 0.0, b = 0.0},
		green = {r = 0.20, g = 0.90, b = 0.20},
		yellow = {r = 0.93, g = 0.93, b = 0.0},
		--Happiness
		unhappy = {r = 0.90, g = 0.0, b = 0.0},
		content = {r = 0.93, g = 0.93, b = 0.0},
		happy = {r = 0.20, g = 0.90, b = 0.20},
		--Reaction
		hated = {r = 0.8, g = 0.3, b = 0.22},
		hostile = {r = 0.8, g = 0.3, b = 0.22},
		unfriendly = {r = 0.75, g = 0.27, b = 0},
		neutral = {r = 0.9, g = 0.7, b = 0},
		friendly = {r = 0, g = 0.6, b = 0.1},
		honored = {r = 0, g = 0.6, b = 0.1},
		revered = {r = 0, g = 0.6, b = 0.1},
		exalted = {r = 0, g = 0.6, b = 0.1},
		--Status
		static = {r = 0.70, g = 0.20, b = 0.90},
		enemyCivilian = {r = 1, g = 0.90, b = 0.90}, --???
		tapped = {r = 0.5, g = 0.5, b = 0.5},
		offline = {r = 0.50, g = 0.50, b = 0.50},
		--Heal
		incheal = {r = 0.20, g = 0.90, b = 0.20}, --???
		incownheal = {r = 0.10, g = 0.40, b = 0.10}, --???
		inchots = {r = 0.60, g = 0.90, b = 0.60}, --???
		--Cast
		channel = {r = 0.25, g = 0.25, b = 1.0}, --???
		cast = {r = 1.0, g = 0.70, b = 0.30}, --???
		--XP
		normal = {r = 0.58, g = 0.0, b = 0.55}, --???
		rested = {r = 0.0, g = 0.39, b = 0.88}, --???
		background = {r = 0, g = 0, b = 0, a = 0.80}, --???
		--Highlight
		target = {r = 0.75, g = 0.75, b = 0.35}, --???
		mouseover = {r = 0.75, g = 0.75, b = 0.50}, --???
	}
	self.defaults.profile.units = {
		player = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			manaPrediction = { enabled = false, color = {r = 1, g = 1, b = 1, a = 0.5 } },
			reckStacks = { enabled = true, autoHide = true, growth = "RIGHT", order = 70, height = 2, background = true, backgroundAlpha = 0.2 },
			portrait = {enabled = true, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			castBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			xpBar = { enabled = false, height = 2, order = 80, background = false, backgroundAlpha = 0.2, alpha = 1, autoHide = true },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			druidBar = {enabled = false, autoHide = true, order = 70, height = 3, background = true, backgroundAlpha = 0.2 },
			totemBar = {enabled = false, order = 70, height = 2, background = true, backgroundAlpha = 0.2, autoHide = true},
			comboPoints = {enabled = false, background = true, backgroundAlpha = 0.2, autoHide = true, order = 70, growth = "RIGHT", height = 2},
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				weaponbuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 4,
				enlargeddebuffsize = 4,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["druidBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[druid:pp]/[druid:maxpp]",
						size = 100,
					},
				},
				["xpBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[xp] [percxp]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "LEFT", type = "elite" },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = true, anchorPoint = "LEFT", size = 30, x = 2, y = 0 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "LEFT", size = 24, x = 25, y = 0 },
				status = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 16, x = 30, y = 1 },
				rezz = { enabled = true, anchorPoint = "LEFT", size = 20, x = 25, y = 0 },
				role = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 28, y = -1 },
			},
			incHeal = { enabled = true, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 240,
			height = 40,
			x = 10,
			y = -15,
			anchorTo = "UIParent",
			point = "TOPLEFT",
			relativePoint = "TOPLEFT",
		},
		pet = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "happiness", reactionType="npc", height = 6, order = 10},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			portrait = {enabled = true, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			xpBar = { enabled = true, height = 2, order = 80, background = true, backgroundAlpha = 0.2, alpha = 1, autoHide = true },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["xpBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[xppet] [percxppet]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "LEFT", type = "elite" },
				happiness = {enabled = true, anchorPoint = "BOTTOMRIGHT", size = 14, x = 0, y = 0},
				status = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 16, x = 30, y = 1},
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 240,
			height = 30,
			x = 0,
			y = -55,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnitplayer",
		},
		pettarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = false, type = "3D", alignment = "RIGHT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 250,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnitpet",
		},
		pettargettarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = false, type = "3D", alignment = "RIGHT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 250,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnitpettarget",
		},
		target = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = true, type = "3D", alignment = "RIGHT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			castBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			comboPoints = {enabled = true, background = true, backgroundAlpha = 0.2, autoHide = true, order = 70, growth = "RIGHT", height = 2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = true,
				debuffs = true,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 4,
				enlargeddebuffsize = 4,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealthp]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 8, x = -46, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = true, anchorPoint = "RIGHT", size = 20, x = -25, y = 0 },
				role = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -28, y = -1 },
			},
			incHeal = {enabled = true, cap = 1.3, alpha = 0.8},
			scale = 1,
			width = 240,
			height = 40,
			x = 250,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnitplayer",
		},
		targettarget = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 100},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				role = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -28, y = -1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 150,
			height = 40,
			x = 250,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnittarget",
		},
		targettargettarget = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = true, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = true, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				role = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -28, y = -1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 150,
			height = 40,
			x = 160,
			y = 0,
			point = "BOTTOMLEFT",
			relativePoint = "BOTTOMLEFT",
			anchorTo = "LUFUnittargettarget",
		},
		party = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = { enabled = true, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = true,
				debuffs = true,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "[levelcolor][level][shortclassification] [classcolor][smartclass]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[pp]/[maxpp]",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = true, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = true, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = true, anchorPoint = "LEFT", size = 30, x = 2, y = 0 },
				pvprank = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "LEFT", size = 24, x = 25, y = 0 },
				status = { enabled = true, anchorPoint = "BOTTOMLEFT", size = 16, x = 30, y = 1 },
				rezz = { enabled = true, anchorPoint = "LEFT", size = 20, x = 25, y = 0 },
				role = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 28, y = -1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 240,
			height = 40,
			point = "TOPRIGHT",
			relativePoint = "BOTTOMLEFT",
			x = 240,
			y = -50,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			columnSpacing = 30,
			offset = 40,
			anchorTo = "LUFUnitpet",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			hideraid = "never",
			showParty = true,
			showRaid = false,
			showSolo = false,
			showPlayer = false,
		},
		partytarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				pvp = { enabled = false, anchorPoint = "LEFT", size = 30, x = 2, y = 0 },
				pvprank = { enabled = false, anchorPoint = "LEFT", size = 8, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 20,
			x = 100,
			y = 0,
			offset = 60,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			anchorTo = "LUFHeaderparty",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			showParty = true,
			showRaid = false,
			showSolo = false,
			showPlayer = false,
		},
		partypet = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 20,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			x = 100,
			y = -20,
			offset = 60,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			anchorTo = "LUFHeaderparty",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			showParty = true,
			showRaid = false,
			showSolo = false,
			showPlayer = false,
		},
		raid = {
			enabled = true,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 10, order = 10, vertical = true},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 1, order = 20, colorType = "type", vertical = true },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 10,
				debuffsize = 10,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "INFRAME",
				debuffpos = "INFRAME",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[nameafk][br][healerhealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 12, x = 1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 22, x = 1, y = 0 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 8, x = 0, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
				ready = { enabled = true, anchorPoint = "CENTER", size = 24, x = 0, y = 0 },
				rezz = { enabled = true, anchorPoint = "TOPRIGHT", size = 20, x = -8, y = -9 },
				role = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 28, y = -1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 60,
			height = 30,
			columnSpacing = 5,
			groupsPerRow = 5,
			maxColumns = 1,
			attribPoint = "BOTTOM",
			attribAnchorPoint = "LEFT",
			offset = 0,
			fontsize = 10,
			groupBy = "GROUP",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = false,
			filters = {
				[1] = true,
				[2] = true,
				[3] = true,
				[4] = true,
				[5] = true,
				[6] = true,
				[7] = true,
				[8] = true,
			},
			positions = {
				[1] = {point = "TOPLEFT", anchorTo = "UIParent", relativePoint = "TOPLEFT", x = 10, y = -380},
				[2] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid1", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[3] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid2", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[4] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid3", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[5] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid4", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[6] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid5", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[7] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid6", relativePoint = "TOPRIGHT", x = 64, y = 0},
				[8] = {point = "TOPRIGHT", anchorTo = "LUFHeaderraid7", relativePoint = "TOPRIGHT", x = 64, y = 0},
			},
		},
		raidpet = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 10, order = 10, vertical = true},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = true, background = true, backgroundAlpha = 0.2, height = 1, order = 20, colorType = "type", vertical = true },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 10,
				debuffsize = 10,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "INFRAME",
				debuffpos = "INFRAME",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 8,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "[name][br][healerhealth]",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 60,
			height = 30,
			x = 65,
			y = 0,
			attribPoint = "BOTTOM",
			attribAnchorPoint = "LEFT",
			maxColumns = 1,
			columnSpacing = 0,
			offset = 0,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeaderraid8",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = true,
		},
		maintank = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = false, anchorPoint = "LEFT", size = 30, x = 2, y = 0 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "CENTER", size = 24, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = -110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			maxColumns = 1,
			columnSpacing = 4,
			offset = 0,
			point = "CENTER",
			relativePoint = "CENTER",
			anchorTo = "UIParent",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			unitsPerColumn = 5,
			roleFilter = "MAINTANK",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = false,
		},
		maintanktarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			maxColumns = 1,
			columnSpacing = 4,
			offset = 0,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeadermaintank",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			roleFilter = "MAINTANK",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = false,
		},
		maintanktargettarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			maxColumns = 1,
			columnSpacing = 4,
			offset = 0,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeadermaintanktarget",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			roleFilter = "MAINTANK",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = false,
		},
		mainassist = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			castBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 3, icon = "HIDE", autoHide = true, order = 60},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["castBar"] = {
					size = 10,
					["left"] = {
						tagline = "[castname]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[casttime]",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				class = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 16, x = 1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPLEFT", size = 12, x = 16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPLEFT", size = 14, x = 4, y = -1 },
				pvp = { enabled = false, anchorPoint = "LEFT", size = 30, x = 2, y = 0 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 46, y = 1 },
				ready = { enabled = true, anchorPoint = "CENTER", size = 24, x = 0, y = 0 },
				status = { enabled = false, anchorPoint = "BOTTOM", size = 16, x = 0, y = 1 },
				rezz = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			maxColumns = 1,
			columnSpacing = 4,
			offset = 0,
			point = "CENTER",
			relativePoint = "CENTER",
			anchorTo = "UIParent",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			unitsPerColumn = 5,
			roleFilter = "MAINASSIST",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = false,
		},
		mainassisttarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			maxColumns = 1,
			columnSpacing = 4,
			offset = 0,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeadermainassist",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			roleFilter = "MAINASSIST",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = false,
		},
		mainassisttargettarget = {
			enabled = false,
			healthBar = { enabled = true, background = true, backgroundAlpha = 0.2, colorType = "class", reactionType="npc", height = 6, order = 10},
			portrait = {enabled = false, type = "3D", alignment = "LEFT", width = 0.22, height = 4, order = 15, fullBefore = 0, fullAfter = 50},
			powerBar = { enabled = false, background = true, backgroundAlpha = 0.2, height = 4.5, order = 20, colorType = "type" },
			emptyBar = { enabled = false, height = 3, order = 50, reactionType="npc", class = true, alpha = 0.2},
			range = { enabled = false },
			highlight = { enabled = true, debuff = 2 },
			borders = { enabled = true, debuff = 2, size = 1 },
			fader = {enabled = false, combatAlpha = 1, inactiveAlpha = 0.2, speedyFade = false},
			combatText = {enabled = false, size = 15},
			squares = {
				topleft = {enabled = false, type = "aggro", size = 10 },
				top = {enabled = false, type = "aggro", size = 10 },
				topright = {enabled = false, type = "aggro", size = 10 },
				leftcenter = {enabled = false, type = "aggro", size = 15 },
				center = {enabled = false, type = "aggro", size = 15 },
				rightcenter = {enabled = false, type = "aggro", size = 15 },
				bottomleft = {enabled = false, type = "aggro", size = 10 },
				bottom = {enabled = false, type = "aggro", size = 10 },
				bottomright = {enabled = false, type = "aggro", size = 10 },
			},
			auras = {
				buffs = false,
				debuffs = false,
				buffsize = 18,
				debuffsize = 18,
				enlargedbuffsize = 0,
				enlargeddebuffsize = 0,
				buffpos = "BOTTOM",
				debuffpos = "BOTTOM",
				bordercolor = true,
				padding = 0,
				timer = "all",
				filterbuffs = 1,
				filterdebuffs = 1,
				wrapbuffside = "RIGHT",
				wrapbuff = 1,
				wrapdebuffside = "RIGHT",
				wrapdebuff = 1,
			},
			tags = {
				["top"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["healthBar"] = {
					size = 10,
					["left"] = {
						tagline = "[name]",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "[smarthealth]",
						size = 100,
					},
				},
				["powerBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["emptyBar"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
				["bottom"] = {
					size = 10,
					["left"] = {
						tagline = "",
						size = 100,
					},
					["center"] = {
						tagline = "",
						size = 100,
					},
					["right"] = {
						tagline = "",
						size = 100,
					},
				},
			},
			indicators = {
				raidTarget = { enabled = true, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
				elite = { enabled = false, side = "RIGHT" },
				class = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -1, y = 1 },
				masterLoot = { enabled = false, anchorPoint = "TOPRIGHT", size = 12, x = -16, y = -1 },
				leader = { enabled = false, anchorPoint = "TOPRIGHT", size = 14, x = -4, y = -1 },
				pvp = { enabled = false, anchorPoint = "RIGHT", size = 30, x = 1, y = 0 },
				pvprank = { enabled = false, anchorPoint = "BOTTOMLEFT", size = 8, x = 4, y = 1 },
				status = { enabled = false, anchorPoint = "BOTTOMRIGHT", size = 16, x = -30, y = 1 },
				rezz = { enabled = false, anchorPoint = "CENTER", size = 20, x = 0, y = 0 },
			},
			incHeal = { enabled = false, cap = 1.3, alpha = 0.8 },
			scale = 1,
			width = 100,
			height = 30,
			x = 110,
			y = 0,
			attribPoint = "TOP",
			attribAnchorPoint = "LEFT",
			maxColumns = 1,
			columnSpacing = 4,
			offset = 0,
			point = "TOPRIGHT",
			relativePoint = "TOPRIGHT",
			anchorTo = "LUFHeadermainassisttarget",
			sortMethod = "INDEX",
			sortOrder = "ASC",
			roleFilter = "MAINASSIST",
			showParty = false,
			showRaid = true,
			showSolo = false,
			showPlayer = false,
		},
	}
end